static char * afni_broutext[] = {
   "                             ----------------------\n" ,
   "                             |  BRODMANN'S AREAS  |\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "Note Well: The same number in different species does not necessarily represent\n" ,
   "           structurally homologous areas.  The numbers below refer to the\n" ,
   "           Brodmann areas defined for homo sapiens sapiens.\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 1\n" ,
   "Sensory cortical area in the crest of the postcentral gyrus; a component\n" ,
   "of the primary somatosensory cortex.\n" ,
   "Location: anterior parietal lobe (postcentral gyrus)\n" ,
   "Function: processes somatic sensory sensations\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 2\n" ,
   "Sensory cortical area in the crest and posterior bank of the postcentral\n" ,
   "gyrus; component of the primary somatosensory cortex.\n" ,
   "Location: anterior parietal lobe (postcentral gyrus)\n" ,
   "Function: processes somatic sensory sensations\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 3\n" ,
   "Sensory cortical area in the posterior bank of the central sulcus (postcentral\n" ,
   "gyrus); a principal component of the primary somatosensory cortex.\n" ,
   "Area 3 is further subdivided into\n" ,
   " - 3a, which receives proprioceptive signals that originate in deep receptors,\n" ,
   " - 3b, which receives discriminative mechano-sensory signals that arise from\n" ,
   "       cutaneous receptors.\n" ,
   "Location: anterior parietal lobe (postcentral gyrus)\n" ,
   "Function: processes somatic sensory sensations\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 4\n" ,
   "Motor cortical area in the anterior bank of the central sulcus (precentral\n" ,
   "gyrus); corresponds to the primary motor cortex, which governs the execution\n" ,
   "of volitional movement.\n" ,
   "Location: posterior frontal lobe (precentral gyrus)\n" ,
   "Function: motor execution\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 5\n" ,
   "Associational cortical area in the superior parietal lobe, just posterior to\n" ,
   "the somatosensory cortex in the postcentral gyrus; involved in maintaining a\n" ,
   "spatial reference system for goal-oriented behavior.\n" ,
   "Location: superior parietal lobe\n" ,
   "Function: spatial orientation, among other parietal associational functions\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 6\n" ,
   "Motor cortical area in the posterior frontal lobe just anterior to the primary\n" ,
   "motor cortex; contains the lateral and medial divisions of the premotor cortex\n" ,
   "that participate in the planning and execution of volitional\n" ,
   "movement.\n" ,
   "Location: posterior frontal lobe\n" ,
   "Function: motor planning and execution\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 7\n" ,
   "Associational cortical area in the posterior part of the superior parietal\n" ,
   "lobe; involved in maintaining a spatial reference system for goal-oriented\n" ,
   "behavior.\n" ,
   "Location: superior parietal lobe\n" ,
   "Function: spatial orientation, among other parietal associational functions\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 8\n" ,
   "Motor cortical area in the dorsal-lateral prefrontal region of the frontal\n" ,
   "lobe; contains the frontal eye fields, which participate (together with the\n" ,
   "superior colliculus) in the control of saccadic eye movements.\n" ,
   "Location: frontal lobe\n" ,
   "Function: control of eye movements (contains 'frontal eye fields')\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 9\n" ,
   "Associational cortical area in the dorsal-lateral prefrontal region of the\n" ,
   "frontal lobe; participates in prefrontal cortical networks that govern\n" ,
   "executive functions.\n" ,
   "Location: frontal lobe\n" ,
   "Function: prefrontal associational integration\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 10\n" ,
   "Associational cortical area in the anterior-polar prefrontal region of the\n" ,
   "frontal lobe; participates in prefrontal cortical networks that govern\n" ,
   "executive functions.\n" ,
   "Location: frontal pole\n" ,
   "Function: prefrontal associational integration\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 11\n" ,
   "Associational cortical area in the orbital-medial prefrontal region of the\n" ,
   "frontal lobe; participates in prefrontal cortical networks that govern\n" ,
   "personal and social behavior, emotion, and decision making.\n" ,
   "Location: ventral frontal lobe (orbitofrontal cortex)\n" ,
   "Function: prefrontal associational integration\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 12\n" ,
   "Associational cortical area in the orbital-medial prefrontal region of the\n" ,
   "frontal lobe; participates in prefrontal cortical networks that govern\n" ,
   "personal and social behavior, emotion, and decision making.\n" ,
   "Location: medial frontal lobe (orbitofrontal cortex)\n" ,
   "Function: prefrontal associational integration\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 13\n" ,
   "Associational cortical area in the insula; not visible in medial and lateral\n" ,
   "views of the hemisphere.\n" ,
   "Location: insula\n" ,
   "Function: associational cortex\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 14\n" ,
   "Associational cortical area in the insula; not visible in medial and lateral\n" ,
   "views of the hemisphere.\n" ,
   "Location: insula\n" ,
   "Function: associational cortex\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 15\n" ,
   "Associational cortical area in the insula; not visible in medial and lateral\n" ,
   "views of the hemisphere.\n" ,
   "Location: insula\n" ,
   "Function: associational cortex\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 16\n" ,
   "Associational cortical area in the insula; not visible in medial and lateral\n" ,
   "views of the hemisphere.\n" ,
   "Location: insula\n" ,
   "Function: associational cortex\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 17\n" ,
   "Sensory cortical area in the banks of the calcarine sulcus (lingual and cuneus\n" ,
   "gyral formations of the medial occipital lobe); corresponds to the primary\n" ,
   "visual cortex (also known as 'striate cortex').\n" ,
   "Location: medial occipital lobe\n" ,
   "Function: processes visual information\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 18\n" ,
   "Sensory cortical area in the medial and lateral aspect of the occipital lobe;\n" ,
   "part of the extrastriate visual cortex surrounding the primary visual cortex.\n" ,
   "Location: occipital lobe\n" ,
   "Function: processes visual information\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 19\n" ,
   "Sensory cortical area in the medial and lateral aspect of the occipital lobe;\n" ,
   "part of the extrastriate visual cortex surrounding the primary visual cortex.\n" ,
   "Location: occipital lobe\n" ,
   "Function: processes visual information\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 20\n" ,
   "Associational cortical area in the inferior temporal gyrus; participates in\n" ,
   "the analysis of visual form and the representation of objects.\n" ,
   "Location: ventral temporal lobe (inferior temporal gyrus)\n" ,
   "Function: processes visual information\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 21\n" ,
   "Associational cortical area in the middle temporal gyrus; participates in the\n" ,
   "analysis of visual signals related to object form and motion.\n" ,
   "Location: lateral temporal lobe (middle temporal gyrus)\n" ,
   "Function: processes visual information, among other temporal associational\n" ,
   "          functions\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 22\n" ,
   "Associational cortical area in the lateral aspect of the superior temporal\n" ,
   "gyrus; participates in the analysis of auditory signals and the reception of\n" ,
   "language (a major component of Wernicke's area).\n" ,
   "Location: lateral temporal lobe (superior temporal gyrus)\n" ,
   "Function: auditory processing and language reception\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 23\n" ,
   "Associational cortical area in the posterior part of the cingulate gyrus;\n" ,
   "a cortical component of the limbic system.\n" ,
   "Location: medial parietal lobe (posterior cingulate gyrus)\n" ,
   "Function: limbic associational integration\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 24\n" ,
   "Associational cortical area in the anterior part of the cingulate gyrus;\n" ,
   "is a cortical component of the limbic system that is involved in emotional\n" ,
   "processing, control of facial expressions and affective dimensions of pain.\n" ,
   "Location: medial frontal lobe (anterior cingulate gyrus)\n" ,
   "Function: emotional and cognitive processing\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 25\n" ,
   "Associational cortical area in the medial prefrontal region of the frontal\n" ,
   "lobe; participates in prefrontal cortical networks that governs personal and\n" ,
   "social behavior, emotion, and decision making.\n" ,
   "Location: medial frontal lobe (orbitofrontal cortex)\n" ,
   "Function: prefrontal associational integration\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 26\n" ,
   "Associational cortical area in the transitional region between the posterior\n" ,
   "cingulate gyrus and the medial temporal lobe; is a cortical component of the\n" ,
   "limbic system.\n" ,
   "Location: medial parietal lobe (posterior cingulate gyrus)\n" ,
   "Function: limbic associational integration\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 27\n" ,
   "Associational cortical area in the medial temporal lobe; corresponds to\n" ,
   "Ammon's horn division of the hippocampal formation, which is subdivided\n" ,
   "into (cornu ammonis) fields, CA1-CA4. Together with the other parts of the\n" ,
   "hippocampal formation in the medial temporal lobe, the hippocampus proper\n" ,
   "is involved in short-term declarative memory processes. This area is not\n" ,
   "visible in medial and lateral views of the hemisphere.\n" ,
   "Location: medial temporal lobe: hippocampal formation\n" ,
   "Function: hippocampal formation: short-term declarative memory\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 28\n" ,
   "Associational and sensory cortical area in the anterior-medial temporal lobe;\n" ,
   "part of the olfactory cortex; also a component of the entorhinal division of\n" ,
   "the hippocampal formation.\n" ,
   "Location: medial temporal lobe\n" ,
   "Function: olfaction and hippocampal processing\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 29\n" ,
   "Associational cortical area in the transitional region between the posterior\n" ,
   "cingulate gyrus and the medial temporal lobe; a cortical component of the\n" ,
   "limbic system.\n" ,
   "Location: medial parietal lobe (posterior cingulate gyrus)\n" ,
   "Function: limbic associational integration\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 30\n" ,
   "Associational cortical area in the transitional region between the posterior\n" ,
   "cingulate gyrus and the medial temporal lobe; is a cortical component of the\n" ,
   "limbic system.\n" ,
   "Location: medial temporal lobe\n" ,
   "Function: limbic associational integration\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 31\n" ,
   "Associational cortical area in the posterior part of the cingulate gyrus and\n" ,
   "the posterior banks of the cingulate sulcus; cingulate part of this area is a\n" ,
   "cortical component of the limbic system.\n" ,
   "Location: medial parietal lobe\n" ,
   "Function: limbic and parietal associational integration\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 32\n" ,
   "Associational cortical area in the medial prefrontal region of the frontal\n" ,
   "lobe; participates in prefrontal cortical networks that governs personal and\n" ,
   "social behavior, emotion, and decision making.\n" ,
   "Location: medial frontal lobe (orbitofrontal cortex)\n" ,
   "Function: emotional and cognitive processing\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 33\n" ,
   "Associational cortical area in the anterior part of the cingulate gyrus just\n" ,
   "dorsal to the corpus callosum; a cortical component of the limbic system that\n" ,
   "is involved in emotional processing and affective dimensions of pain.\n" ,
   "Location: medial frontal lobe (orbitofrontal cortex)\n" ,
   "Function: emotional and cognitive processing\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 34\n" ,
   "Associational and sensory cortical area in the anterior-medial temporal lobe;\n" ,
   "a principal division of the olfactory cortex; also a component of the\n" ,
   "entorhinal division of the hippocampal formation.\n" ,
   "Location: medial temporal lobe\n" ,
   "Function: olfaction and hippocampal processing\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 35\n" ,
   "Associational cortical area in the medial temporal lobe near the position of\n" ,
   "the rhinal sulcus; also known as the perirhinal cortex; a component of the\n" ,
   "hippocampal formation.\n" ,
   "Location: medial temporal lobe\n" ,
   "Function: hippocampal associational functions\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 36\n" ,
   "Associational cortical area in the medial temporal lobe; lies at the interface\n" ,
   "of visual processing systems in the inferior temporal lobe and semantic memory\n" ,
   "systems in the medial temporal lobe.\n" ,
   "Location: medial temporal lobe\n" ,
   "Function: visual and hippocampal associational functions\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 37\n" ,
   "Associational cortical area in the temporal lobe that extends from the medial\n" ,
   "to lateral sides of this lobe; participates in the analysis of visual form,\n" ,
   "motion, and the representation of objects.\n" ,
   "Location: posterior temporal lobe\n" ,
   "Function: visual recognition\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 38\n" ,
   "Associational cortical area in the anterior pole of the temporal lobe;\n" ,
   "temporal area related to networks in the amygdala and orbital prefrontal\n" ,
   "cortex that govern personal and social behavior, emotion, and decision making.\n" ,
   "Location: temporal pole\n" ,
   "Function: limbic associational integration\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 39\n" ,
   "Associational cortical area in the angular gyrus at the interface between the\n" ,
   "posterior parietal and occipital lobes.\n" ,
   "Location: lateral junction of temporal, parietal and occipital lobes\n" ,
   "Function: processing language, spatial orientation and semantic representation\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 40\n" ,
   "Associational cortical area in the inferior parietal lobe, including the\n" ,
   "supramarginal gyrus.\n" ,
   "Location: inferior parietal lobe\n" ,
   "Function: spatial orientation and semantic representation\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 41\n" ,
   "Sensory cortical area in the superior aspect of the temporal lobe (located in\n" ,
   "a series of transverse gyri, called Heschl's gyri, that form the inferior bank\n" ,
   "of the lateral fissure); corresponds to the primary auditory cortex.\n" ,
   "Location: superior temporal lobe\n" ,
   "Function: processes auditory information\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 42\n" ,
   "Sensory cortical area in the superior aspect of the temporal lobe and the\n" ,
   "dorsal-lateral margin of the superior temporal gyrus; is part of a 'belt' of\n" ,
   "higher-order auditory areas that surround the primary auditory cortex (BA 41).\n" ,
   "Location: superior temporal lobe\n" ,
   "Function: processes auditory information\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 43\n" ,
   "Sensorimotor cortical area in the inferior margin of the postcentral and\n" ,
   "precentral gyri where the frontal-parietal operculum merges with the insula\n" ,
   "just below the inferior termination of the central sulcus; may participate in\n" ,
   "the sensorimotor representation of the mouth and taste\n" ,
   "reception.\n" ,
   "Location: junction of insula, frontal and parietal lobes\n" ,
   "Function: sensorimotor representation and taste processing\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 44\n" ,
   "Motor cortical area in the posterior part of the inferior frontal gyrus;\n" ,
   "division of the lateral premotor cortex involved in the production of\n" ,
   "language, especially in the left hemisphere (also known as Broca's area).\n" ,
   "Location: inferior frontal lobe (inferior frontal gyrus)\n" ,
   "Function: language production\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 45\n" ,
   "Associational cortical area in the anterior part of the inferior frontal gyrus;\n" ,
   "the posterior part of this area may contribute (with BA 44) to the production\n" ,
   "of language (Broca's area), while other circuits in this area participate in\n" ,
   "prefrontal cortical networks that govern executive functions.\n" ,
   "Location: inferior frontal lobe (inferior frontal gyrus)\n" ,
   "Function: language production and prefrontal associational integration\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 46\n" ,
   "Associational cortical area in the middle frontal gyrus and anterior part of\n" ,
   "the inferior frontal gyrus; participates in prefrontal cortical networks that\n" ,
   "govern executive functions.\n" ,
   "Location: lateral frontal lobe (dorsolateral prefrontal cortex)\n" ,
   "Function: prefrontal associational integration\n" ,
   "-------------------------------------------------------------------------------\n" ,
   "BA 47\n" ,
   "Associational cortical area in the anterior-ventral part of the inferior\n" ,
   "frontal gyrus; participates in prefrontal cortical networks that govern\n" ,
   "executive functions.\n" ,
   "Location: inferior frontal lobe (inferior frontal gyrus)\n" ,
   "Function: prefrontal associational integration\n" ,
   "===============================================================================\n" ,
   "\n" ,
   "Brief biography (http://en.wikipedia.org/wiki/Korbinian_Brodmann)\n" ,
   "-----------------------------------------------------------------\n" ,
   "Korbinian Brodmann (November 17, 1868 -- August 22, 1918) was a German\n" ,
   "neurologist who became famous for his definition of the cerebral cortex into\n" ,
   "52 distinct regions from their cytoarchitectonic (histological) characteristics.\n" ,
   "These areas are now usually referred to as Brodmann areas. Some of these areas\n" ,
   "were later associated to nervous functions, such as areas 41 and 42 in the\n" ,
   "temporal lobe (related to hearing), areas 1, 2 and 3 in the postcentral gyrus\n" ,
   "of the parietal lobe (the somatosensory region), and the areas 17 and 18 in\n" ,
   "the occipital lobe (the primary visual areas).\n" ,
   "\n" ,
   "Brodmann studied medicine in Munich, Wurzburg, Berlin and Freiburg, where he\n" ,
   "received his medical diploma in 1895. Subsequently he studied at the Medical\n" ,
   "School in the University of Lausanne in Switzerland, and then worked in the\n" ,
   "University Clinic in Munich. He got a doctoral degree in the University of\n" ,
   "Leipzig in 1858, with a thesis on chronical ependymal sclerosis. He worked\n" ,
   "also in the Psychiatric Clinic in the University of Jena, with Ludwig\n" ,
   "Binswanger, and in the Municipal Mental Asylum in Frankfurt, from 1900 to 1901.\n" ,
   "There, he met Alois Alzheimer, who was influential in his decision to pursue\n" ,
   "neuroscientific basic research.\n" ,
   "\n" ,
   "Following this, Brodmann started to work in 1901 with Oskar Vogt in the private\n" ,
   "institute 'Neurobiologischen Zentralstation' in Berlin, and in 1902 in the\n" ,
   "Neurobiological Laboratory of the University of Berlin. In 1915 he joined the\n" ,
   "Kaiser-Wilhelm-Institut fur Hirnforschung (Institute for Brain Research).\n" ,
   "\n" ,
   "In 1909 he published his original research on cortical cytoarchitectonics in\n" ,
   "'Vergleichende Lokalisationslehre der Grohirnrinde in ihren Prinzipien\n" ,
   "dargestellt auf Grund des Zellenbaues' (Comparative Localization Studies in\n" ,
   "the Brain Cortex, its Fundamentals Represented on the Basis of its Cellular\n" ,
   "Architecture).\n" ,
   "\n" ,
   "In the following years he worked at the University of Tubingen, where he was\n" ,
   "habilitated and made a full professor in 1913, and from 1910 to 1916 as\n" ,
   "physician and chairman of the Anatomical Laboratory at the University\n" ,
   "Psychiatric Clinic. In 1916 he moved to Halle in order to work in the\n" ,
   "Nietleben Municipal Hospital. Finally, in 1918, he accepted an invitation\n" ,
   "from the University of Munich to direct the group of histology at Psychiatric\n" ,
   "Research Center.\n" ,
   "\n" ,
   "He died in Munich rather suddenly of a generalized septic infection following\n" ,
   "a pneumonia, barely under 50 years of age on August 22, 1918.\n" ,
   "-------------------------------------------------------------------------------\n" ,
   NULL } ;
#define NUM_afni_broutext 378
